Skip to content

Create Connection

POST
/data_syncer/connection/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "syncer-connection-022015573333",
"sync_mode": "incremental_append",
"schedule": {
"schedule_type": "basic",
"basic_schedule": 6
},
"source_id": 222,
"destination_id": 147
}'
project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name
string

Example

syncer-connection-022015573333
sync_mode
string
Allowed values: incremental_append full_refresh

Example

incremental_append
schedule
object
schedule_type
string
Allowed values: basic advanced

Example

basic
basic_schedule

Schedule interval in hours

integer

Example

6
source_id

ID of the source data

integer

Example

222
destination_id

ID of the destination data

integer

Example

147

Response